Bug Hunting Session
Bug 101011 - Crash after pressing enter between header and table
Summary: Crash after pressing enter between header and table
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: All Linux (All)
: medium critical
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.3.0 target:5.2.1 target:5.1.6
Keywords: accessibility, bibisectRequest, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2016-07-19 13:42 UTC by Alex ARNAUD
Modified: 2016-10-25 18:38 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
This the document that makes the crash (15.23 KB, application/vnd.oasis.opendocument.text)
2016-07-19 13:42 UTC, Alex ARNAUD
Details
Backtrace of the crash (38.74 KB, text/plain)
2016-07-19 13:43 UTC, Alex ARNAUD
Details
valgrind log (4.06 KB, text/plain)
2016-07-21 10:03 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex ARNAUD 2016-07-19 13:42:16 UTC
Created attachment 126297 [details]
This the document that makes the crash

Dear LibreOffice community,

on the document attached I have always a crash (on LibreOffice 5.1.4 and 5.3) when I tried to add a new line between the document title and the table.

Steps to reproduce : 
1) Open LibreOffice
2) Place your cursor at the end of the title
3) Press enter

Best regards.
Comment 1 Alex ARNAUD 2016-07-19 13:43:03 UTC
Created attachment 126298 [details]
Backtrace of the crash
Comment 2 Aron Budea 2016-07-21 07:09:23 UTC
Hi Alex! Thanks for the exhaustive report.

I could reproduce this in LibreOffice 5.1.4.2 and 5.2.0.3 in Ubuntu 15.10.
As the crash has to do with accessibility events, I had to turn on the screen reader before triggering it.
Raising severity to critical, as it's a crash.
Comment 3 Aron Budea 2016-07-21 07:49:18 UTC
Also reproduced with LibreOffice 4.3.0.4, not reproduced with 4.2.0.4. This is a regression.
Comment 4 Caolán McNamara 2016-07-21 10:03:51 UTC
Created attachment 126338 [details]
valgrind log
Comment 5 Commit Notification 2016-07-21 10:33:24 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b47a8b21f87fa77d2d61ac4a2c2bbc7c0d67a19

Resolves: tdf#101011 atk needs a value for accessible-table-column-header

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-07-21 15:59:35 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2152e6bd6960e2cfc719f4274504e842cfdd4bc3&h=libreoffice-5-2

Resolves: tdf#101011 atk needs a value for accessible-table-column-header

It will be available in 5.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-07-22 12:14:34 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a768e5b7ff3a4788bbe6d23e427e34e9e81442c1&h=libreoffice-5-1

Resolves: tdf#101011 atk needs a value for accessible-table-column-header

It will be available in 5.1.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Alex ARNAUD 2016-07-25 12:47:20 UTC
Dear LibreOffice community,

I've tested the latest dev build and the problem no longer appears.
Congratulation for the great work :) !

Best regards, 
Alex.
Comment 9 Cor Nouws 2016-07-27 12:26:14 UTC
Thanks for your test and feed back Alex!